Module javafx.graphics
Package javafx.print

# Class Paper

java.lang.Object
javafx.print.Paper

public final class Paper extends Object
A class which encapsulates the size of paper media as used by printers.

The paper sizes which are enumerated for a printer is the authoritative source of Paper sizes that may be selected for printing on that printer.

However for convenience, this class pre-defines some of the most common paper sizes so that an application may easily set up default parameters from code, eg by referring to `Paper.A4`

Since:
  JavaFX 8.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Paper`
`A0`
Specifies the ISO A0 size, 841 mm by 1189 mm.
`static final Paper`
`A1`
Specifies the ISO A1 size, 594 mm by 841 mm.
`static final Paper`
`A2`
Specifies the ISO A2 size, 420 mm by 594 mm.
`static final Paper`
`A3`
Specifies the ISO A3 size, 297 mm by 420 mm.
`static final Paper`
`A4`
Specifies the ISO A4 size, 210 mm by 297 mm.
`static final Paper`
`A5`
Specifies the ISO A5 size, 148 mm by 210 mm.
`static final Paper`
`A6`
Specifies the ISO A6 size, 105 mm by 148 mm.
`static final Paper`
`C`
Specifies the engineering C size, 17 inch by 22 inch.
`static final Paper`
`DESIGNATED_LONG`
Specifies the ISO Designated Long size, 110 mm by 220 mm.
`static final Paper`
`EXECUTIVE`
Specifies the executive size, 7.25 inches by 10.5 inches.
`static final Paper`
`JAPANESE_POSTCARD`
Specifies the Japanese postcard size, 100 mm by 148 mm.
`static final Paper`
`JIS_B4`
Specifies the JIS B4 size, 257 mm by 364 mm.
`static final Paper`
`JIS_B5`
Specifies the JIS B5 size, 182 mm by 257 mm.
`static final Paper`
`JIS_B6`
Specifies the JIS B6 size, 128 mm by 182 mm.
`static final Paper`
`LEGAL`
Specifies the North American legal size, 8.5 inches by 14 inches.
`static final Paper`
`MONARCH_ENVELOPE`
Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.
`static final Paper`
`NA_8X10`
Specifies the North American 8 inch by 10 inch paper.
`static final Paper`
`NA_LETTER`
Specifies the North American letter size, 8.5 inches by 11 inches
`static final Paper`
`NA_NUMBER_10_ENVELOPE`
Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.
`static final Paper`
`TABLOID`
Specifies the tabloid size, 11 inches by 17 inches.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
`final double`
`getHeight()`
Get the height of the paper in points (1/72 inch)
`final String`
`getName()`
Get the paper name.
`final double`
`getWidth()`
Get the width of the paper in points (1/72 inch)
`final int`
`hashCode()`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### A0

public static final Paper A0
Specifies the ISO A0 size, 841 mm by 1189 mm.

### A1

public static final Paper A1
Specifies the ISO A1 size, 594 mm by 841 mm.

### A2

public static final Paper A2
Specifies the ISO A2 size, 420 mm by 594 mm.

### A3

public static final Paper A3
Specifies the ISO A3 size, 297 mm by 420 mm.

### A4

public static final Paper A4
Specifies the ISO A4 size, 210 mm by 297 mm.

### A5

public static final Paper A5
Specifies the ISO A5 size, 148 mm by 210 mm.

### A6

public static final Paper A6
Specifies the ISO A6 size, 105 mm by 148 mm.

### DESIGNATED_LONG

public static final Paper DESIGNATED_LONG
Specifies the ISO Designated Long size, 110 mm by 220 mm.

### NA_LETTER

public static final Paper NA_LETTER
Specifies the North American letter size, 8.5 inches by 11 inches

### LEGAL

public static final Paper LEGAL
Specifies the North American legal size, 8.5 inches by 14 inches.

### TABLOID

public static final Paper TABLOID
Specifies the tabloid size, 11 inches by 17 inches.

### EXECUTIVE

public static final Paper EXECUTIVE
Specifies the executive size, 7.25 inches by 10.5 inches.

### NA_8X10

public static final Paper NA_8X10
Specifies the North American 8 inch by 10 inch paper.

### MONARCH_ENVELOPE

public static final Paper MONARCH_ENVELOPE
Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.

### NA_NUMBER_10_ENVELOPE

public static final Paper NA_NUMBER_10_ENVELOPE
Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.

### C

public static final Paper C
Specifies the engineering C size, 17 inch by 22 inch.

### JIS_B4

public static final Paper JIS_B4
Specifies the JIS B4 size, 257 mm by 364 mm.

### JIS_B5

public static final Paper JIS_B5
Specifies the JIS B5 size, 182 mm by 257 mm.

### JIS_B6

public static final Paper JIS_B6
Specifies the JIS B6 size, 128 mm by 182 mm.

### JAPANESE_POSTCARD

public static final Paper JAPANESE_POSTCARD
Specifies the Japanese postcard size, 100 mm by 148 mm.

## Method Details

### getName

public final String getName()
Get the paper name. This may not be directly useful for user display as it is not localized.

Returns:
  the paper name

### getWidth

public final double getWidth()
Get the width of the paper in points (1/72 inch)

Returns:
  the width of the paper in points (1/72 inch)

### getHeight

public final double getHeight()
Get the height of the paper in points (1/72 inch)

Returns:
  the height of the paper in points (1/72 inch)

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public final boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`